2021-04-16 19:01 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002892FSSCPFREDpublic2021-01-10 03:42
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.19 
Target VersionFixed in Version21.0.0 
Summary0002892: Invalid bitmaps in background 2 not being detected during load/save
DescriptionBasically when you load or save a mission it is supposed to throw a warning if a background bitmap isn't found. This works find for background 1 but background 2 appears to not be checked. It will load and save the mission without any warnings. You can even go into the background editor and not get one unless you actually switch to background 2.

This might be related to 2876 but happens even if the suns are correct.
Steps To ReproduceRequires a mission with 2 $Bitmap List: sections in the .fs2 file. If you don't have one take any mission that has a valid background, copy the $Bitmap List: section so there are 2. Change the name of one of the bitmaps in the second list to something that doesn't exist. Open the mission in FRED. Note there is no warning about the invalid bitmap. Save mission, again no warning. Open background editor, again no warning. Change the background to background 2 and you should get the warning.
Additional Information3.6.19 but it's basically 3.7.0 RC2.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0017094

MjnMixael (manager)

Migrated to GitHub. https://github.com/scp-fs2open/fs2open.github.com/issues/3116

~0017101

Goober5000 (administrator)

Fixed in GitHub PR 3121:
https://github.com/scp-fs2open/fs2open.github.com/pull/3121
+Notes

-Issue History
Date Modified Username Field Change
2013-06-10 03:53 FUBAR-BDHR New Issue
2021-01-09 20:27 MjnMixael Status new => closed
2021-01-09 20:27 MjnMixael Resolution open => suspended
2021-01-09 20:27 MjnMixael Note Added: 0017094
2021-01-10 03:42 Goober5000 Assigned To => Goober5000
2021-01-10 03:42 Goober5000 Status closed => resolved
2021-01-10 03:42 Goober5000 Resolution suspended => fixed
2021-01-10 03:42 Goober5000 Fixed in Version => 21.0.0
2021-01-10 03:42 Goober5000 Note Added: 0017101
+Issue History